aboutsummaryrefslogtreecommitdiffstats
path: root/run_integration_tests.sh
diff options
context:
space:
mode:
authorJulien HENRY <henryju@yahoo.fr>2016-07-05 11:06:48 +0200
committerJulien HENRY <henryju@yahoo.fr>2016-07-05 11:06:48 +0200
commit97df742be527eee859b83441e2cc645f19326f83 (patch)
tree718e6ea81b0aa5f08182a99b99569b66a755782e /run_integration_tests.sh
parent202ad17083057b4e8dc10742ae592b04beb8360f (diff)
downloadsonar-scanner-cli-97df742be527eee859b83441e2cc645f19326f83.tar.gz
sonar-scanner-cli-97df742be527eee859b83441e2cc645f19326f83.zip
Move ITs on QA
Diffstat (limited to 'run_integration_tests.sh')
-rw-r--r--run_integration_tests.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/run_integration_tests.sh b/run_integration_tests.sh
new file mode 100644
index 0000000..69ddbf2
--- /dev/null
+++ b/run_integration_tests.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+# Run integration tests with a given version of SonarQube
+# Usage: run_integration_tests.sh "5.2"
+
+set -euo pipefail
+
+# required version of SonarQube
+SONARQUBE_VERSION=$1
+shift
+
+cd it
+mvn verify -Dsonar.runtimeVersion=$SONARQUBE_VERSION -e -B -V -U $*